Bug 822243 - raid volumes should not be created on cluster VGs
Summary: raid volumes should not be created on cluster VGs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-16 19:38 UTC by Corey Marthaler
Modified: 2013-02-21 08:09 UTC (History)
10 users (show)

Fixed In Version: lvm2-2.02.98-1.el6
Doc Type: Bug Fix
Doc Text:
Previously, it was possible to have RAID logical volumes in a clustered volume group. RAID logical volumes are not cluster capable and activating them in a cluster can cause corruption. Thus, the ability to create RAID logical volumes in a cluster has been disabled.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:09:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0501 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2013-02-20 21:30:45 UTC

Description Corey Marthaler 2012-05-16 19:38:22 UTC
Description of problem:
[root@hayes-01 ~]# vgcreate test /dev/etherd/e1.1p*
  Clustered volume group "test" successfully created

# This should not be allowed
[root@hayes-01 ~]# lvcreate -m 1 --type raid1 -L 100M -n r1 test
  Logical volume "r1" created

The volume appears to get synced at different rates on the different nodes in the cluster.


Version-Release number of selected component (if applicable):
2.6.32-269.el6.x86_64
lvm2-2.02.95-9.el6    BUILT: Wed May 16 10:34:14 CDT 2012
lvm2-libs-2.02.95-9.el6    BUILT: Wed May 16 10:34:14 CDT 2012
lvm2-cluster-2.02.95-9.el6    BUILT: Wed May 16 10:34:14 CDT 2012
udev-147-2.41.el6    BUILT: Thu Mar  1 13:01:08 CST 2012
device-mapper-1.02.74-9.el6    BUILT: Wed May 16 10:34:14 CDT 2012
device-mapper-libs-1.02.74-9.el6    BUILT: Wed May 16 10:34:14 CDT 2012
device-mapper-event-1.02.74-9.el6    BUILT: Wed May 16 10:34:14 CDT 2012
device-mapper-event-libs-1.02.74-9.el6    BUILT: Wed May 16 10:34:14 CDT 2012
cmirror-2.02.95-9.el6    BUILT: Wed May 16 10:34:14 CDT 2012

Comment 1 Corey Marthaler 2012-06-06 17:37:35 UTC
This can cause issues when attempting operations like image splitting on raid volumes on cluster VGs.

SCENARIO - [sequentially_split_off_all_raid1_pvs]
Skipping this test case since cluster raids are not supported
Create a raid1 with many legs and then sequentially split off each one of the PVs
taft-02: lvcreate --type raid1 -m 4 -n split_pvs_sequentially -L 300M split_image
Waiting until all mirror|raid volumes become fully syncd...
   0/1 mirror(s) are fully synced: ( 24.77% )
   0/1 mirror(s) are fully synced: ( 55.96% )
   0/1 mirror(s) are fully synced: ( 88.21% )
   1/1 mirror(s) are fully synced: ( 100.00% )

splitting off legs:
         /dev/sde1
couldn't split image
  Error locking on node taft-04: Failed to rename split_image-split_pvs_sequentially_rimage_4 (253:12) to split_image-split_pvs_sequentially_rimage_3
  Error locking on node taft-01: Failed to rename split_image-split_pvs_sequentially_rimage_4 (253:12) to split_image-split_pvs_sequentially_rimage_3
  Error locking on node taft-03: Failed to rename split_image-split_pvs_sequentially_rimage_4 (253:12) to split_image-split_pvs_sequentially_rimage_3
  Error locking on node taft-02: Failed to rename split_image-split_pvs_sequentially_rimage_4 (253:12) to split_image-split_pvs_sequentially_rimage_3
  Failed to resume split_image/split_pvs_sequentially after committing changes

Comment 2 Jonathan Earl Brassow 2012-10-03 20:50:52 UTC
Unit test (Do not allow RAID LVs to be created in a cluster VG):

[root@hayes-02 lvm2]# vgs vg
  VG   #PV #LV #SN Attr   VSize VFree
  vg     8   0   0 wz--nc 5.07t 5.07t

[root@hayes-02 lvm2]# lvcreate --type raid1 -L 100M -n lv vg 
  Unable to create a raid1 logical volume in a cluster.

Comment 3 Jonathan Earl Brassow 2012-10-03 20:57:38 UTC
commit 9efd3fb604ae34803bb2d4c94080c57d3efdba81
Author: Jonathan Brassow <jbrassow@redhat.com>
Date:   Wed Oct 3 15:52:54 2012 -0500

    RAID:  Do not allow RAID LVs in a cluster volume group.
    
    It would be possible to activate a RAID LV exclusively in a cluster
    volume group, but for now we do not allow RAID LVs to exist in a
    clustered volume group at all.  This has two components:
        1) Do not allow RAID LVs to be created in a clustered VG
        2) Do not allow changing a VG from single-machine to clustered
           if there are RAID LVs present.

Comment 5 Nenad Peric 2012-10-23 14:09:48 UTC
no RAID LV could be created by using lvcreate command. 
Marking as verified

Software versions:

lvm2-2.02.98-2.el6.x86_64
lvm2-cluster-2.02.98-2.el6.x86_64
device-mapper-1.02.77-2.el6.x86_64
cmirror-2.02.98-2.el6.x86_64
kernel-devel-2.6.32-330.el6.x86_64

Comment 6 errata-xmlrpc 2013-02-21 08:09:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0501.html


Note You need to log in before you can comment on or make changes to this bug.